Subject: bug#12916: bug#9598: Status: C-x b completion should also display current buffer.

From: Eli Zaretskii <[email-masked]>
Date: Sun, 31 Jan 2016 18:56:11 +0200

> From: Marcin Borkowski <[email-masked]>
> Date: Sun, 31 Jan 2016 15:30:19 +0100
> Cc: [email-masked]
> 
> again the same question: what to do with this bug report?  The behavior
> is still what a few people (including RMS) dislike, it is easy to
> override it (although there is no mention of that in the manual, which
> is very bad IMHO!), it also seems to be solved in Ivy (I don't know
> about other completion frameworks - I would bet Icicles have a knob for
> that, because Icicles have a knob for everything; Helm anybody?).
> 
> My personal suggestion would be either add a user option or (as a last
> resort) write about the hack mentioned here in the manual, in the node
> (info "(emacs)Select buffer").

If someone wants to work on adding such an option, please do.  We can
add that on master.

One caveat: updating the documentation is part of the job.

TIA